.\"	$NetBSD: _lwp_unpark.2,v 1.2 2007/02/10 10:34:03 ad Exp $
.\"
.\" Copyright (c) 2003, 2007 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe of Wasabi Systems, Inc, and by Andrew Doran.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 20, 2007
.Dt _LWP_UNPARK 2
.Os
.Sh NAME
.Nm _lwp_unpark
.Nd resume execution of a waiting LWP
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In lwp.h
.Ft int
.Fn _lwp_unpark "lwpid_t lwp" "const void *hint"
.Sh DESCRIPTION
.Fn _lwp_unpark
resumes execution of the light-weight process
.Fa lwp .
.Pp
The target LWP is assumed to be waiting in the kernel as a result of a
call to
.Fn _lwp_park .
If the target LWP is not currently waiting, it will return immediatley
upon the next call to
.Fn _lwp_park .
.Pp
See
.Xr _lwp_park 2
for a description of the
.Fa hint
argument.
.Sh RETURN VALUES
A 0 value indicates that the call succeeded.
A \-1 return value indicates an error occurred and
.Va errno
is set to indicate the reason.
.Sh ERRORS
.Bl -tag -width [EINVAL]
.It Bq Er ESRCH
No LWP can be found in the current process corresponding to that
specified by
.Fa lwp .
.El
.Sh SEE ALSO
.Xr _lwp_park 2 ,
.Xr _lwp_unpark_all 2 ,
.Xr _lwp_wakeup 2
.Sh HISTORY
The
.Fn _lwp_unpark
system call first appeared in
.Nx 5.0 .
